Package Details: voikko-libreoffice 5.0-1

Git Clone URL: https://aur.archlinux.org/voikko-libreoffice.git (read-only)
Package Base: voikko-libreoffice
Description: Finnish spellchecker, grammar checker and hyphenator extension for libreoffice
Upstream URL: http://voikko.sourceforge.net
Keywords: Finnish grammar hyphenate libreoffice office spellcheck
Licenses: MPL
Submitter: Huulivoide
Maintainer: Huulivoide
Last Packager: Huulivoide
Votes: 18
Popularity: 0.019096
First Submitted: 2010-12-04 11:41
Last Updated: 2015-12-18 21:52

Latest Comments

sumt commented on 2015-12-16 04:49

The validpgpkeys is required:
validpgpkeys=('AC5D65F10C8596D7E2DAE2633D309B604AE3942E')

Crashlog commented on 2015-02-11 10:46

All I had to do was change libreoffice-common to libreoffice-fresh in the PKGBUILD. It built just fine after that.

OssiL commented on 2015-02-11 05:32

Yes, please and quickly.
This is what I get:
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: voikko-libreoffice: requires libreoffice-common

So, soonish I need to remove voikko-libreoffice to be able to update other packages.

jtts commented on 2015-02-06 22:52

libreoffice-common is no longer available in the official repositories. It should be replaced with libreoffice-still and/or libreoffice-fresh.

topyli commented on 2013-12-19 17:00

Can't build. Error from yaourt:

==> Validating source files with md5sums...
libreoffice-voikko-3.4.1.tar.gz ... Passed
libreoffice-4.1.patch ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build voikko-libreoffice.

haaja commented on 2013-09-01 11:13

Not out of date per se but requires the following patch to build with libreoffice 4.1

https://github.com/voikko/libreoffice-voikko/commit/b7e100bea5bcea3549ac87cd96c95ee4833757b3

haaja commented on 2013-09-01 11:08

Sorry, I flagged the wrong package.

Huulivoide commented on 2013-04-22 20:32

Sorry, seems I once again forgot to actually upload the updated package.

haaja commented on 2013-04-22 20:07

--- PKGBUILD.old 2012-05-03 20:49:30.000000000 +0300
+++ PKGBUILD 2013-04-22 23:03:40.099121026 +0300
@@ -2,8 +2,8 @@
# Maintainer: Jesse Jaara <gmail.com: jesse.jaara>

pkgname=voikko-libreoffice
-pkgver=3.3
-pkgrel=3
+pkgver=3.4
+pkgrel=1
pkgdesc="Finnish spellchecker, grammar checker and hyphenator extension for libreoffice"
arch=('i686' 'x86_64')
url="http://voikko.sourceforge.net"
@@ -29,4 +29,4 @@ package() {
cp voikko.oxt "${pkgdir}/usr/lib/libreoffice/share/extensions/install/"
}

-md5sums=('9b52dd9cb5bff1f382b2a8056fa973f3')
+md5sums=('72e21e8bedfc9e5b065a70726c5aa8a2')

jtts commented on 2012-05-03 17:52

Seuraava muutos PKGBUILD:iin näyttäisi korjaavan ongelman:

--- PKGBUILD.OLD 2012-05-03 20:50:22.338921568 +0300
+++ PKGBUILD 2012-05-03 20:46:00.614016252 +0300
@@ -17,7 +17,7 @@
cd "${srcdir}/libreoffice-voikko-${pkgver}"

sed 's|LINK_LIBS += $(STLPORTLIB)||g' -i Makefile
- . /usr/lib/libreoffice/sdk/setsdkenv_unix.sh.in
+ . /usr/lib/libreoffice/sdk/setsdkenv_unix.sh

make oxt
}

jtts commented on 2012-05-03 17:41

Allekirjoittaneella pakettia käännettäessä tulee seuraavat valitukset:

==> Aloitetaan osion build() käsittelemistä...
/usr/lib/libreoffice/sdk/setsdkenv_unix.sh.in: rivi 70: @OO_SDK_HOME@/config.guess: Tiedostoa tai hakemistoa ei ole

************************************************************************
*
* SDK environment is prepared for
*
* SDK = @OO_SDK_HOME@
* Office = @OFFICE_HOME@
* URE = @OO_SDK_URE_HOME@
* Make = @OO_SDK_MAKE_HOME@
* Zip = @OO_SDK_ZIP_HOME@
* C++ Compiler = @OO_SDK_CPP_HOME@
* Java = @OO_SDK_JAVA_HOME@
* SDK Output directory = @OO_SDK_OUTPUT_DIR@/@OO_SDK_NAME@
* Auto deployment = @SDK_AUTO_DEPLOYMENT@
*
************************************************************************

Makefile:25: @OO_SDK_HOME@/settings/settings.mk: Tiedostoa tai hakemistoa ei ole
Makefile:26: @OO_SDK_HOME@/settings/std.mk: Tiedostoa tai hakemistoa ei ole
make: *** Kohteen "@OO_SDK_HOME@/settings/std.mk" tuottamiseen ei ole sääntöä. Seis.
==> VIRHE: Virhe tapahtui funktiossa build().
Peruutetaan...

Huulivoide commented on 2012-03-24 21:17

XD Unohin laata uuden version ku siirty pois testiunginstä toi
uus versio, vaikka jouduin avaamaan buginkin sitä koskoen XD

pekka commented on 2012-03-24 20:12

New relase suomi-malaga
http://sourceforge.net/projects/voikko/files/

Wont build: libreooffice 3.5.1-1
PKGBUILD line 20 /usr/lib/libreoffice/basis3.4/sdk/setsdkenv_unix.sh.in
tiedostoa tai hakemistoa ei ole

i fixed
. /usr/lib/libreoffice/sdk/setsdkenv_unix.sh.in

pekka commented on 2012-01-30 10:56

New relase
http://sourceforge.net/projects/voikko/files/

Huulivoide commented on 2011-06-05 08:12

Does not work with the Libreoffice 3.4 due to broken
sdk in repos. Do not upgrade before building and installing this.
It works without rebuild in 3.4.

Anonymous comment on 2011-04-13 13:25

Got following error while trying to compile: http://pastebin.com/7xwMpekT

Anonymous comment on 2011-03-31 16:24

No, I don't use ccache.

Huulivoide commented on 2011-03-31 12:37

aurlotus: If you use ccache try clearing its cache.
dunno if the gcc/clang caches the code without ccache.
But clearing it should help, I think.

Anonymous comment on 2011-03-31 10:19

New error?: http://pastebin.com/BWTcyv4i

Huulivoide commented on 2011-03-22 19:55

It should be fixed now, but I cant know as none of my machines
have this problem. O_o

Anonymous comment on 2011-03-22 18:07

I have the same error than laasonen

Huulivoide commented on 2011-03-14 14:26

laasonen, there is no broblem with the pkgbuild but your system.
as i have a TOOOOtally differend output from this and it never
even tries to link to any stdport_gcc lib.

laasonen commented on 2011-03-14 07:52

Wont build: http://pastebin.com/q4gX1dPV

jtts commented on 2011-01-16 05:05

Tässä tarvittavat korjaukset tehtyinä:

PKGBUILD: http://aur.pastebin.com/xcJDBy3j
voikko-libreoffice.install: http://aur.pastebin.com/8ctnJT7q
setsdkenv_unix.sh: http://aur.pastebin.com/v6NTZzsz

jtts commented on 2011-01-16 04:42

Uusimman libreoffice-pakettien päivitysten myötä tiedostojen polut muuttuivat (ooo-3.3 -> libreoffice). Tästä johtuen 'setsdkenv_unix.sh'-tiedosto pitäisi päivittää tuoreempaan. Ja myös PKGBUILDin package() -osio tarvitsee korjausta.

Anonymous comment on 2011-01-13 16:46

Kiitos.

Huulivoide commented on 2011-01-09 19:14

Korjattu

Huulivoide commented on 2011-01-09 18:35

ahaa librestä on nykyään sdk erillään kahtompn mikä on vikana

Anonymous comment on 2011-01-09 17:30

Riippuu paketista libreoffice-sdk

Sen kanssakin herjaa:


/usr/lib/ooo-3.3/basis3.3/sdk/setsdkenv_unix.sh: rivi 71: %{sdkinstdir}/config.guess: Tiedostoa tai hakemistoa ei ole

************************************************************************
*
* SDK environment is prepared for
*
* SDK = %{sdkinstdir}
* Office = %{baseinstdir}
* Office Base = %{basisinstdir}
* URE = %{ureinstdir}
* Make = /usr/bin
* Zip = /usr/bin
* C++ Compiler = /usr/bin
* Java = /usr/lib/jvm/java-6-openjdk
* SDK Output directory = /home/chupa/sdk
* Auto deployment = NO
*
************************************************************************

Makefile:25: %{sdkinstdir}/settings/settings.mk: Tiedostoa tai hakemistoa ei ole
Makefile:26: %{sdkinstdir}/settings/std.mk: Tiedostoa tai hakemistoa ei ole
make: *** Kohteen "%{sdkinstdir}/settings/std.mk" tuottamiseen ei ole sääntöjä. Seis.
Aborting...